package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品图片表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_product_image")
public class ShopProductImage extends BaseEntity {
    /**
     * 商品图片表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * sku
     */
    @TableField(value = "sku_id")
    private Long skuId;

    /**
     * 商品ID
     */
    @TableField(value = "product_id")
    private Long productId;

    /**
     * 图片/视频地址
     */
    @TableField(value = "url")
    private String url;

    /**
     * 判断图片/视频,默认0,0图片,1视频
     */
    @TableField(value = "url_type")
    private Integer urlType;

    /**
     * 权重排序
     */
    @TableField(value = "sort_order")
    private Integer sortOrder;


}