package edu.travel.commodity.web;

import edu.travel.commodity.dto.GetProductByTypeDto;
import edu.travel.commodity.entity.ShopProduct;
import edu.travel.commodity.service.ShopProductService;
import edu.travel.commodity.vo.ShopProductVo;
import edu.travel.resp.BaseResponse;
import edu.travel.web.BaseController;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
* 商品表(shop_product)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_product")
public class ShopProductController extends BaseController<ShopProduct> {
/**
* 服务对象
*/
    @Autowired
    private ShopProductService shopProductService;

    /**
     *  首页获取热门类别的热门商品
     * @param param 类型
     * @return {@link BaseResponse }<{@link List }<{@link ShopProductVo }>>
     */
    @GetMapping("/getHotProduct")
    public BaseResponse<List<ShopProductVo>> getHotProduct(GetProductByTypeDto param){
        return new BaseResponse<>(200,"success",shopProductService.getHotProduct(param));
    }


}
